package net.knarcraft.blockhunt.command;

import net.knarcraft.blockhunt.MemoryStorage;
import net.knarcraft.blockhunt.manager.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class BlockHuntTabCompleter implements TabCompleter {

    @Override
    public List<String> onTabComplete(@NotNull CommandSender sender, @NotNull org.bukkit.command.Command cmd, @NotNull String label,
                                      String[] args) {
        for (Command command : MemoryStorage.commands) {
            if (cmd.getName().equalsIgnoreCase(command.label()) && args.length == 1) {
                return command.mainTabList();
            }
        }
        return null;
    }

}
